Generate a finished goods transfer order for a work order
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/generate-finished-goods-transfer-order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination_warehouse_id": 123,
"quantity": 1.01,
"inbound_shipment_id": 123
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/generate-finished-goods-transfer-order"
payload = {
"destination_warehouse_id": 123,
"quantity": 1.01,
"inbound_shipment_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({destination_warehouse_id: 123, quantity: 1.01, inbound_shipment_id: 123})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/generate-finished-goods-transfer-order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "<string>",
"result": {}
}
}{
"message": "<string>"
}{
"message": "<string>"
}Work Order Materials & Orders
Generate a finished goods transfer order for a work order
Generate a transfer order moving finished goods produced by a work order to a destination warehouse.
POST
/
work-orders
/
{workOrderId}
/
generate-finished-goods-transfer-order
Generate a finished goods transfer order for a work order
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
Body
application/json
The warehouse to transfer the finished goods into.
The quantity of finished goods to transfer.
Required range:
x >= 0.01The inbound shipment to associate with the transfer order.
The status of the generated transfer order.
Available options:
DRAFT, POSTED Response
Successful response
Show child attributes
Show child attributes
⌘I